# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionCacheAdder

Packages that use CDORevisionCacheAdder
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDORevisionCacheAdder in org.eclipse.emf.cdo.common.revision

Subinterfaces of CDORevisionCacheAdder in org.eclipse.emf.cdo.common.revision
Modifier and Type
Interface
Description
`interface`
`CDORevisionCache`
Caches `revisions` and possibly `evicts` those that are no longer strongly referenced when free memory runs low.

## Uses of CDORevisionCacheAdder in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server with parameters of type CDORevisionCacheAdder
Modifier and Type
Method
Description
`InternalCDORevision`
IStoreAccessor.`readRevision(CDOID id, CDOBranchPoint branchPoint, int listChunk, CDORevisionCacheAdder cache)`
Reads a revision from the back-end that was valid at the given timeStamp in the given branch.
`InternalCDORevision`
IStoreAccessor.`readRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int listChunk, CDORevisionCacheAdder cache)`
Reads a revision with the given version in the given branch from the back-end.

## Uses of CDORevisionCacheAdder in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl that return CDORevisionCacheAdder
Modifier and Type
Method
Description
`CDORevisionCacheAdder`
CDOExtentCreator.`getRevisionCacheAdder()`
Deprecated.
As of 4.4 use `CDOExtentCreator.getRevisionInterner()`.
Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDORevisionCacheAdder
Modifier and Type
Method
Description
`void`
CDOExtentCreator.`setRevisionCacheAdder(CDORevisionCacheAdder revisionCacheAdder)`
Deprecated.
As of 4.4 use `CDOExtentCreator.setRevisionInterner(CDORevisionInterner)`.

## Uses of CDORevisionCacheAdder in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevisionCacheAdder in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevisionCache`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDORevisionManager`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDORevisionCacheAdder
Modifier and Type
Class
Description
`class`
`DelegatingCDORevisionManager`
If the meaning of this type isn't clear, there really should be more of a description here...